petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMCopyDisc

Copy the fields and discrete systems for the DM into another DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCopyDisc(DM dm, DM newdm)

Collective on dm

### Input Parameter

dm -The DM

### Output Parameter

newdm -The DM

### See Also

DMCopyFields(), DMCopyDS()

### Level

advanced

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages